> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pasca.name.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign and Transmit Invoice



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/einvoice/sign-transmit
openapi: 3.1.0
info:
  title: PASCA API
  version: 1.0.0
  description: PASCA eInvoicing API reference
servers:
  - url: https://test-api.pasca.co
    description: Sandbox
  - url: https://api.pasca.co
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
  - APIKey: []
    APISecret: []
tags:
  - name: Resources
  - name: IRN and QR
  - name: Invoices
  - name: Transmission
  - name: Status and retrieval
  - name: Business
  - name: Health
paths:
  /api/v1/einvoice/sign-transmit:
    post:
      tags:
        - Transmission
      summary: Sign and Transmit Invoice
      requestBody:
        required: true
        content:
          application/json:
            example:
              business_id: '{{BUSINESS_ID}}'
              irn: '{{IRN}}'
              issue_date: '2024-05-14'
              invoice_type_code: '396'
              document_currency_code: NGN
              tax_currency_code: NGN
              invoice_delivery_period:
                start_date: '2024-06-14'
                end_date: '2024-06-16'
              order_reference: order REF IRN?
              billing_reference:
                - irn: ITW001-E9E0C0D3-20240619
                  issue_date: '2024-05-14'
                - irn: ITW001-E9E0C0D3-20240619
                  issue_date: '2024-05-14'
              dispatch_document_reference:
                irn: ITW001-E9E0C0D3-20240619
                issue_date: '2024-05-14'
              receipt_document_reference:
                irn: ITW001-E9E0C0D3-20240619
                issue_date: '2024-05-14'
              originator_document_reference:
                irn: ITW001-E9E0C0D3-20240619
                issue_date: '2024-05-14'
              contract_document_reference:
                irn: ITW001-E9E0C0D3-20240619
                issue_date: '2024-05-14'
              accounting_customer_party:
                party_name: TITAN BRIDGE DYNAMIC WORLD LTD
                tin: 83526544-2627
                email: test_sender@pasca.co
                telephone: '+23480254099000'
                business_description: Test with samuel is the name of my business
                postal_address:
                  street_name: 32, owonikoko street
                  city_name: Gwarikpa
                  postal_zone: '023401'
                  lga: NG-AB-ANO
                  state: NG-AB
                  country: NG
              accounting_supplier_party:
                party_name: Dangote Group
                tin: 33824622-7135
                email: tobi@pasca.co
                telephone: '+2348168527167'
                business_description: This is the test supplier details
                postal_address:
                  street_name: 32, owonikoko street
                  city_name: Gwarikpa
                  postal_zone: '023401'
                  lga: NG-AB-ANO
                  state: NG-AB
                  country: NG
              actual_delivery_date: '2024-05-14'
              payment_means:
                - payment_means_code: '10'
                  payment_due_date: '2024-05-14'
                - payment_means_code: '43'
                  payment_due_date: '2024-05-14'
              payment_terms_note: dummy payment terms note (will be encryted in storage)
              allowance_charge:
                - charge_indicator: true
                  amount: 800.6
                - charge_indicator: false
                  amount: 10
              tax_total:
                - tax_amount: 56.07
                  tax_subtotal:
                    - taxable_amount: 800
                      tax_amount: 8
                      tax_category:
                        id: LOCAL_SALES_TAX
                        percent: 2.3
              legal_monetary_total:
                line_extension_amount: 340.5
                tax_exclusive_amount: 400
                tax_inclusive_amount: 430
                payable_amount: 1500000
              invoice_line:
                - hsn_code: CC-001
                  product_category: Food and Beverages
                  discount_rate: 2.01
                  discount_amount: 3500
                  fee_rate: 1.01
                  fee_amount: 50
                  invoiced_quantity: 15
                  line_extension_amount: 30
                  item:
                    name: Tomato Paste
                    description: Description of the tomato paste
                    sellers_item_identification: identified as spoon by the seller
                  price:
                    price_amount: 1150
                    base_quantity: 1
                    price_unit: NGN per 1
                - hsn_code: CC-001
                  product_category: Food and Beverages
                  discount_rate: 2.01
                  discount_amount: 3500
                  fee_rate: 1.01
                  fee_amount: 50
                  invoiced_quantity: 15
                  line_extension_amount: 30
                  item:
                    name: Milo and milk
                    description: This is a beverage category
                    sellers_item_identification: identified as shovel by the seller
                  price:
                    price_amount: 9012
                    base_quantity: 1
                    price_unit: NGN per 1
      responses:
        '200':
          description: Sign and Transmit Invoice (Success)
          content:
            application/json:
              example:
                status: true
                code: 200
                message: Invoice transmitted successfully!
                data: []
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                status: false
                code: 400
                message: Failed to validate invoice
                data: null
                error:
                  id: 5c4c008e-8f1e-4034-a96b-8b352c143da5
                  handler: invoice_actions
                  details: this business does not exist
                  public_message: validation failed
                timestamp: '2025-12-23T14:54:12.477393Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status: false
                code: 401
                message: Unauthorized
                data: null
                error:
                  details: invalid or missing API credentials
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: API-KEY
    ApiSecret:
      type: apiKey
      in: header
      name: API-SECRET
    APIKey:
      type: apiKey
      in: header
      name: API-KEY
    APISecret:
      type: apiKey
      in: header
      name: API-SECRET

````